Package org.apache.ignite.internal.processors.odbc

## Interface ClientTxSupport

All Known Implementing Classes:
  `ClientTxEndRequest`, `ClientTxStartRequest`, `JdbcRequestHandler`

    public interface ClientTxSupport

### Method Summary

All Methods Instance Methods Default Methods
`default IgniteInternalFuture<IgniteInternalTx>` `endTxAsync​(ClientListenerAbstractConnectionContext ctx, int txId, boolean committed)` End transaction asynchronously.
`default RuntimeException` `endTxException​(IgniteCheckedException cause)`
`default int` `startClientTransaction​(ClientListenerAbstractConnectionContext ctx, TransactionConcurrency concurrency, TransactionIsolation isolation, long timeout, String lb)` Starts new client transaction.
`default RuntimeException` `startTxException​(Exception cause)`
`default RuntimeException` `transactionNotFoundException()`

### Method Detail

#### startClientTransaction

    default int startClientTransaction​(ClientListenerAbstractConnectionContext ctx,
                                       TransactionConcurrency concurrency,
                                       TransactionIsolation isolation,
                                       long timeout,
                                       String lb)

Starts new client transaction.

Parameters:
  `ctx` - Client connection context.
  `concurrency` - Transaction concurrency.
  `isolation` - Transaction isolation.
  `timeout` - Transaction timeout.
  `lb` - Transaction label.
Returns:
  Transaction id.

#### endTxAsync

    default IgniteInternalFuture<IgniteInternalTx> endTxAsync​(ClientListenerAbstractConnectionContext ctx,
                                                              int txId,
                                                              boolean committed)

End transaction asynchronously.

Parameters:
  `ctx` - Client connection context.
  `txId` - Transaction id.
  `committed` - If `true` transaction must be committed, rollback otherwise.

#### startTxException

    default RuntimeException startTxException​(Exception cause)

Parameters:
  `cause` - Exception cause.
Returns:
  Protocol specific start transaction exception.

#### endTxException

    default RuntimeException endTxException​(IgniteCheckedException cause)

Parameters:
  `cause` - Exception cause.
Returns:
  Protocol specific end transaction exception.

#### transactionNotFoundException

    default RuntimeException transactionNotFoundException()

Returns:
  Protocol specific transaction not found exception.